Perform a payment gateway refund operation

This method allows you to submit a "refund" operation against a previously created "charge" (using [POST] /PaymentGateway/charge) or "capture" (using [POST] /PaymentGateway/capture) operations.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Refund Request Model

Model for UPG refund operation

string
required
length ≥ 1

The currency of the transaction. Based on the ISO 4217 standard.

string
required
length ≥ 1

The transaction ID that this operation is referring to.

payerDetails
object

The billing information of the card owner

double
required

The amount to be charged (the amount should be in major units - for example, 10.23)

string | null

Your custom reference for this transaction

card
object
required

The card details that should be charged. You can either provide us with the raw card details or provide a reference to the stored card details in a token.

string | null

The reference name provided to the stored Payment Gateway Account as set in PUT /PaymentGatewayAccounts/{name}.
Please note, if you provide us with both this parameter and the raw credentials in the paymentGatewayAccount object, this parameter will be ignored and the raw credentials will take precedence.

string | null

Optional parameter if the payment gateway requires authentication using a client certificate. The name of the certificate that was stored in our system via our users portal

paymentGatewayAccount
object

The raw credentials necessary to connect to the chosen payment gateway as defined in GET /PaymentGateway.
Please note, if you provide us with both the raw details here and a stored Payment Gateway Account in the paymentGatewayAccountName parameter, these credentials will take precedence.

string
enum
Allowed:
Responses
202

Accepted (for future processing by payment gateway)

401

Not authenticated

409

Conflict - rejected by payment gateway

500

Error with payment gateway

503

Temporary failure with payment gateway

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json